import request from '../../utils/request'

export function getHuiZhenData(
  deptCode,
  currentPage,
  pageSize,
  startTime,
  endTime
) {
  return request({
    url: '/huiZhen/getHuiZhenData',
    method: 'get',
    params: { deptCode, currentPage, pageSize, startTime, endTime },
  })
}

export function getHuanZheXinXi(admissTimes, reqTimes, inpatientNo) {
  return request({
    url: '/huiZhen/getHuanZheXinXi',
    method: 'get',
    params: { admissTimes, reqTimes, inpatientNo },
  })
}

export function wanChenHuiZhen(data) {
  return request({
    url: '/huiZhen/wanChenHuiZhen',
    method: 'post',
    data,
  })
}

export function getDeptName(deptCode) {
  return request({
    url: '/huiZhen/getDeptName',
    method: 'get',
    params: { deptCode },
  })
}
